Skip to main content
DELETE
Batch delete of accounts by Client IDs

Request body

This endpoint expects the identifiers in the client_ids field (snake_case), for example { "client_ids": ["client-123", "client-456"] }. The delete-by-IBANs endpoint uses the ibans field instead. If the interactive schema above shows the ibans shape for this endpoint, use client_ids as described here.

Body

application/json

Payload containing client_ids: list of Client IDs to delete.

client_ids
string[]
required

List of client IDs to delete

Minimum array length: 1

List of client IDs to delete

Example:

Response

Batch deletion result

deleted_ibans
string[]
required

List of IBANs successfully deleted

List of IBANs successfully deleted

Example:
deleted_ibans_count
integer<int32>
required

Number of IBANs successfully deleted

Example:

2

failed_client_id_count
integer<int32>
required

Number of client_ids that failed to delete

Example:

1

failed_entries
object[]
required

Details of client_ids that failed to delete, with reasons

total_client_id_count
integer<int32>
required

Total number of client_id submitted for deletion

Example:

3

Last modified on September 2, 2026